#ifndef _CONFIG_H_
#define _CONFIG_H_
//
// TODO: make the printf
// be like:
//
// "[condition name] ~~~~~~\n"
//
// with ~~~ being the debug material
// (f...)
//
//


/*
 * Debug preprocessor variables should be named:
 * 
 * DBG_[REGION]_[WHATEVER]
 * 
 * if they create spamming printfs, they should 
 * end in _CONT
 */

#define DBG_PRINTF(s, f...) { if (s) printf (f); }

// Debug statements for the automatic climbing routine;
// enabled when this is true
#define DBG_CLIMBER_AUTO   		1

// Debug statements for manual
// operation and basic functions
#define DBG_CLIMBER_MANUAL 		1

// debug messages for this unit; these should 
// be on state changes
#define DBG_CLIMBER_DRIVE  		1

// these are continuous printfs; enable if you want
// to be spammed
#define DBG_CLIMBER_DRIVE_CONT  0

#endif /* _CONFIG_H_ */
